cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Arseni Bulatski (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (CAY-2570) Use MySQL adapter for latest versions of MariaDB
Date Fri, 26 Apr 2019 08:06:00 GMT

     [ https://issues.apache.org/jira/browse/CAY-2570?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Arseni Bulatski reassigned CAY-2570:
------------------------------------

    Assignee: Arseni Bulatski

> Use MySQL adapter for latest versions of MariaDB
> ------------------------------------------------
>
>                 Key: CAY-2570
>                 URL: https://issues.apache.org/jira/browse/CAY-2570
>             Project: Cayenne
>          Issue Type: Task
>          Components: Database integration
>    Affects Versions: 4.0.1, 4.1.B1
>         Environment: MariaDB
>            Reporter: Nikita Timofeev
>            Assignee: Arseni Bulatski
>            Priority: Major
>             Fix For: 4.0.2, 4.1.B2, 4.2.M1
>
>          Time Spent: 10m
>  Remaining Estimate: 0h
>
> MariaDB reported in metadata as "MySQL" prior version 2.4.1 so Cayenne choose {{MySQLAdapter}}
and that works fine. Starting from 2.4.1 (maybe earlier) it is reported as "MariaDB" and {{DefaultDbAdapter}}
is selected as a result.
> We may need to setup additional profile to test MariaDB separately, as it can diverge
further from MySQL.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message